Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004456TestLinkReportspublic2011-05-05 19:462012-08-17 19:04
Reporterbennid 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSCentOSOS Version5.4
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004456: Metrics Dashboard doesn't display not_run correctly with platforms
DescriptionIn a sample setup, I added a testcase with two platforms.
I set one of the platforms for the testcase to 'pass' and ignored the other platform.
When going to the Metrics Dashboard, the testcase/platform tuple that was not_run is not calculated anywhere.

Attached is the diff to fix the issue (the not_run section was only looking if the testcase as a whole was not run, and not looking into the platform details)
Additional Information[root@bugs results]# diff -c metricsDashboard.php metricsDashboardOld.php
*** metricsDashboard.php 2011-05-05 15:36:16.000000000 -0400
--- metricsDashboardOld.php 2011-05-05 15:28:31.000000000 -0400
***************
*** 246,258 ****
                        {
                                if( !isset($executed[$tplan_id][$key2copy]) )
                                {
! $executed[$tplan_id][$key2copy] = $not_run[$tplan_id][$key2copy];
! } else {
! foreach (array_keys($not_run[$tplan_id][$key2copy]) as $subkey) {
! if (!isset($executed[$tplan_id][$key2copy][$subkey])) {
! $executed[$tplan_id][$key2copy][$subkey] = $not_run[$tplan_id][$key2copy][$subkey];
! }
! }
                                }
                        }
                        $linked_tcversions[$tplan_id] = (array)$executed[$tplan_id];
--- 246,252 ----
                        {
                                if( !isset($executed[$tplan_id][$key2copy]) )
                                {
! $executed[$tplan_id][$key2copy] = $not_run[$tplan_id][$key2copy];
                                }
                        }
                        $linked_tcversions[$tplan_id] = (array)$executed[$tplan_id];
[root@bugs results]#
TagsNo tags attached.
Database (MySQL,Postgres,etc)postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files? file icon metricsDashboard.php [^] (13,757 bytes) 2011-05-05 20:58

- Relationships
duplicate of 0004362closedfman metricsDashboard not working properly with platforms defined 

-  Notes
(0014800)
fman (administrator)
2011-05-05 20:03

thanks for help
next time please attach full file not patch.
(0014801)
bennid (reporter)
2011-05-05 20:59

attached full file as well
(0014802)
Julian (reporter)
2011-05-06 08:55
edited on: 2011-05-06 13:54

i think the issue is already fixed for 1.9.3 - see 0004362

Please compare the fixes and let us know if something is missing.

(0014891)
Julian (reporter)
2011-05-21 06:37

Without further feedback in the next 3 days i will resolve this issue without making code changes.

- Issue History
Date Modified Username Field Change
2011-05-05 19:46 bennid New Issue
2011-05-05 20:03 fman Note Added: 0014800
2011-05-05 20:58 bennid File Added: metricsDashboard.php
2011-05-05 20:59 bennid Note Added: 0014801
2011-05-06 08:55 Julian Relationship added duplicate of 0004362
2011-05-06 08:55 Julian Note Added: 0014802
2011-05-06 13:54 Julian Note Edited: 0014802 View Revisions
2011-05-13 11:13 Julian Status new => feedback
2011-05-21 06:37 Julian Note Added: 0014891
2012-08-17 19:04 fman Task Workflow Status => TBD
2012-08-17 19:04 fman Status feedback => closed
2012-08-17 19:04 fman Assigned To => fman
2012-08-17 19:04 fman Resolution open => fixed
2012-08-17 19:04 fman Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker